_grk_image_comp Struct Reference

Image component. More...

`#include <grok.h>`

## Public Attributes

uint32_t | x0
| x component offset compared to the whole image
uint32_t | y0
| y component offset compared to the whole image
uint32_t | w
| data width
uint32_t | stride
| data stride
uint32_t | h
| data height
uint8_t | dx
| XRsiz: horizontal separation of a sample of component with respect to the reference grid.
uint8_t | dy
| YRsiz: vertical separation of a sample of component with respect to the reference grid.
uint8_t | prec
| precision
bool | sgnd
GRK_CHANNEL_TYPE | type
GRK_CHANNEL_ASSOC | association
uint16_t | Xcrg
uint16_t | Ycrg
int32_t * | data
| image component data

## Detailed Description

Image component.

## Member Data Documentation

## association

GRK_CHANNEL_ASSOC _grk_image_comp::association

Referenced by grk::FileFormatCompress::init().

## data

int32_t* _grk_image_comp::data

image component data

Referenced by grk::GrkImage::applyICC(), grk::GrkImage::cieLabToRGB(), grk::GrkImage::color_cmyk_to_rgb(), grk::GrkImage::color_esycc_to_rgb(), grk::GrkImage::execUpsample(), grk::GrkImage::greyToRGB(), grk::CodeStreamCompress::init(), grk::GrkImage::sycc420_to_rgb(), grk::GrkImage::sycc422_to_rgb(), and grk::GrkImage::sycc444_to_rgb().

## dx

uint8_t _grk_image_comp::dx

XRsiz: horizontal separation of a sample of component with respect to the reference grid.

Referenced by grk::CodeStreamCompress::init(), grk::Profile::is_broadcast_compliant(), grk::Profile::is_imf_compliant(), grk::GrkImage::postReadHeader(), grk::Profile::set_cinema_parameters(), grk::GrkImage::sycc420_to_rgb(), grk::GrkImage::sycc422_to_rgb(), and grk::GrkImage::validateICC().

## dy

uint8_t _grk_image_comp::dy

YRsiz: vertical separation of a sample of component with respect to the reference grid.

Referenced by grk::CodeStreamCompress::init(), grk::Profile::is_broadcast_compliant(), grk::Profile::is_imf_compliant(), grk::GrkImage::postReadHeader(), grk::Profile::set_cinema_parameters(), grk::GrkImage::sycc420_to_rgb(), and grk::GrkImage::sycc422_to_rgb().

## h

uint32_t _grk_image_comp::h

data height

Referenced by grk::GrkImage::applyICC(), grk::GrkImage::cieLabToRGB(), grk::GrkImage::color_cmyk_to_rgb(), grk::GrkImage::color_esycc_to_rgb(), grk::GrkImage::greyToRGB(), grk::StripCache::ingestTile(), grk::CodeStreamCompress::init(), grk::Profile::is_cinema_compliant(), grk::Profile::is_imf_compliant(), grk::GrkImage::postReadHeader(), grk::Profile::set_cinema_parameters(), grk::Strip::Strip(), grk::GrkImage::sycc420_to_rgb(), grk::GrkImage::sycc422_to_rgb(), and grk::GrkImage::sycc444_to_rgb().

## prec

uint8_t _grk_image_comp::prec

precision

Referenced by grk::GrkImage::applyICC(), grk::GrkImage::cieLabToRGB(), grk::GrkImage::color_cmyk_to_rgb(), grk::GrkImage::color_esycc_to_rgb(), grk::GrkImage::convertPrecision(), grk::TileProcessor::decompressT2T1(), grk::CodeStreamCompress::init(), grk::FileFormatCompress::init(), grk::Profile::is_broadcast_compliant(), grk::Profile::is_cinema_compliant(), grk::Profile::is_imf_compliant(), grk::TileProcessor::pcrdBisectFeasible(), grk::TileProcessor::pcrdBisectSimple(), grk::GrkImage::postReadHeader(), grk::Profile::set_cinema_parameters(), grk::GrkImage::supportsStripCache(), grk::GrkImage::sycc420_to_rgb(), grk::GrkImage::sycc422_to_rgb(), and grk::GrkImage::sycc444_to_rgb().

## sgnd

bool _grk_image_comp::sgnd

Referenced by grk::GrkImage::color_esycc_to_rgb(), grk::CodeStreamCompress::init(), grk::FileFormatCompress::init(), grk::Profile::is_broadcast_compliant(), grk::Profile::is_cinema_compliant(), grk::Profile::is_imf_compliant(), grk::TileProcessor::mct_encode(), grk::TileProcessor::mctDecompress(), and grk::CodeStreamDecompress::read_cbd().

## stride

uint32_t _grk_image_comp::stride

data stride

Referenced by grk::GrkImage::applyICC(), grk::GrkImage::cieLabToRGB(), grk::clip(), grk::GrkImage::color_cmyk_to_rgb(), grk::GrkImage::color_esycc_to_rgb(), grk::GrkImage::greyToRGB(), grk::GrkImage::sycc420_to_rgb(), grk::GrkImage::sycc422_to_rgb(), and grk::GrkImage::sycc444_to_rgb().

## type

GRK_CHANNEL_TYPE _grk_image_comp::type

Referenced by grk::GrkImage::apply_channel_definition(), and grk::FileFormatCompress::init().

## w

uint32_t _grk_image_comp::w

data width

Referenced by grk::GrkImage::applyICC(), grk::GrkImage::cieLabToRGB(), grk::GrkImage::color_cmyk_to_rgb(), grk::GrkImage::color_esycc_to_rgb(), grk::CodeStreamCompress::init(), grk::Profile::is_cinema_compliant(), grk::Profile::is_imf_compliant(), grk::GrkImage::postReadHeader(), grk::Profile::set_cinema_parameters(), grk::FileFormatCompress::start(), grk::SIZMarker::subsampleAndReduceHeaderImageComponents(), grk::GrkImage::sycc420_to_rgb(), grk::GrkImage::sycc422_to_rgb(), and grk::GrkImage::sycc444_to_rgb().

## x0

uint32_t _grk_image_comp::x0

x component offset compared to the whole image

## Xcrg

uint16_t _grk_image_comp::Xcrg

## y0

uint32_t _grk_image_comp::y0

y component offset compared to the whole image

Referenced by grk::Strip::Strip().

## Ycrg

uint16_t _grk_image_comp::Ycrg

The documentation for this struct was generated from the following file:

- grok.h